<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <body>
        <ui:component>
            <p:dialog
                id="editUser"
                header="Editar Transportista"
                widgetVar="Editarregistro"
                modal="true"
                resizable="false"
                closable="true"
                width="650" >
                <h:panelGroup id="detalleEditar">
                    <h:form id="edit">
                        <h:panelGrid columns="2" > 

                            <p:column>
                                <p:inputText value="#{productorMB.registroSeleccionado.id}" id="id" type="hidden" />
                            </p:column>
                            <p:column> 
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="id2" value="Id : " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="id2" value="#{productorMB.registroSeleccionado.id}" readonly="true" style="width: 350px" required="true" requiredMessage="El campo cajas es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="rfc" value="RFC: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="rfc" value="#{productorMB.registroSeleccionado.rfc}" style="width: 350px" required="true" requiredMessage="El campo nombre es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="numerotermo" value="Nombre: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="numerotermo" value="#{productorMB.registroSeleccionado.nombre}" style="width: 350px" required="true" requiredMessage="El campo nombre es requerido"/>
                            </p:column>
                            
 
                            <p:column>
                                <h:outputLabel for="domicilio" value="Domicilio:" style="font-weight: bold"/>
                            </p:column>
                            <p:column> 
                                <p:inputTextarea rows="2" cols="38" value="#{productorMB.registroSeleccionado.direccion}" counter="display" 
                                                 maxlength="110" counterTemplate="{0} caracteres faltantes." autoResize="true" />
                                <br />
                                <h:outputText id="display" />
                            </p:column> 
    
                            <p:column>
                                <h:outputLabel for="telefono1" value="Telefono(1):" style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="telefono1" value="#{productorMB.registroSeleccionado.telefono1}" style="width: 350px" required="true" requiredMessage="El campo plcas es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="telefono2" value="Telefono(2):" style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="telefono2" value="#{productorMB.registroSeleccionado.telefono2}" style="width: 350px" required="true" requiredMessage="El campo plcas es requerido"/>
                            </p:column>  
                            
                            <p:column>
                                <h:outputLabel for="tipo" value="Tipo: " style="font-weight: bold"/>
                            </p:column>
                            <p:column> 
                                
                                <p:selectOneMenu id="tipo"  value="#{productorMB.registroSeleccionado.tipo}"
                                                 filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                 required="true" requiredMessage="La clave es requerida" style="width: 350px">
                                    <f:selectItem itemLabel="Selecciona una opción"  />
                                    <f:selectItems value="#{productorMB.tipos}"
                                    var="registrop"
                                    itemLabel="#{registrop.nombre} "
                                    itemValue="#{registrop.id}"/>
                                </p:selectOneMenu> 
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="agr1" value="Agronomo: " style="font-weight: bold"/>
                            </p:column>
                            <p:column> 
                                
                                <p:selectOneMenu id="agr1"  value="#{productorMB.agronomo}"
                                                 filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                 style="width: 350px">
                                    <f:selectItem itemLabel="Selecciona una opción"  />
                                    <f:selectItems value="#{productorMB.agronomos}"
                                    var="registrop"
                                    itemLabel="#{registrop.nombre} "
                                    itemValue="#{registrop.id}"/>
                                </p:selectOneMenu> 
                            </p:column>
                            
                            <p:column>
                                <p:commandButton 
                                    value="Editar" 
                                    icon="ui-icon-pencil" style="font-size:  100%"
                                    action="#{productorMB.editarRegistro(productorMB.registroSeleccionado.id,
                                              productorMB.registroSeleccionado)}">                        
                                </p:commandButton>
                            </p:column>   
                            <p:column>
                                <p:commandButton
                                    value="Cerrar"
                                    type="button"
                                    icon="ui-icon-circle-close" style="font-size:  100%" 
                                    onclick="PF('Editarregistro').hide();">
                                </p:commandButton>
                            </p:column>
                            
                        </h:panelGrid> 
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>
    </body>
</html>
